wd.build = {}

# Elements used via build (Titanium's detection fails otherwise)
x = Ti.UI.createTextField()
x = Ti.UI.createButton()
x = Ti.UI.createScrollView()
x = Ti.UI.createLabel()
x = Ti.UI.createWebView()


# ========================================================================= #
#   BUILDERS                                                                #
# ========================================================================= #

wd.build.textField = (properties) ->
  defaults =
    color: "#369"
    top: 10
    left: 10
    width: 300
    height: 40
    keyboardType: Ti.UI.KEYBOARD_DEFAULT
    returnKeyType: Ti.UI.RETURNKEY_DEFAULT
    borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED
  Ti.UI.createTextField _.extend(defaults, properties)
  
wd.build.button = (properties) ->
  defaults =
    width: 90
    height: 35
    borderRadius: 1
    font:
      fontFamily: "Helvetica, Arial"
      fontWeight: "bold"
      fontsize: 14
  Ti.UI.createButton _.extend(defaults, properties)

wd.build.navBtn = (properties) ->
  defaults =
    style: Ti.UI.iPhone.SystemButtonStyle.PLAIN
  Ti.UI.createButton _.extend(defaults, properties)
  
wd.build.scrollView = (properties) ->
  defaults =
    contentWidth: "auto"
    contentHeight: "auto"
    showVerticalScrollIndicator: true
    showHorizontalScrollIndicator: false
  Ti.UI.createScrollView _.extend(defaults, properties)
  
wd.build.label = (properties) ->
  defaults =
    font:
      fontFamily: "Helvetica, Arial"
      fontsize: 18
    height: "auto"
  Ti.UI.createLabel _.extend(defaults, properties)

wd.build.webView = (properties) ->
  defaults =
    top: 0
    touchEnabled: false # does this break clicking?
    width: "auto"
    height: "auto"
    layout: "vertical"
  Ti.UI.createWebView _.extend(defaults, properties)
