wd.users = {}

wd.users.login = (username, password) ->
  params = 
    username: username
    password: password
    
  wd.users.clearUserProperties()

  wd.net.post "api/tokens.json", params,
    _s: (xhr) ->
      wd.users.showMain(xhr)
      
    _f: (xhr) ->
      alert wd.errMsg(xhr)


wd.users.signup = (username, password, email) ->
  params = 
    user:
      username: username
      password: password
      password_confirmation: password
      email: email

  wd.users.clearUserProperties()

  wd.net.post "api/sign_up.json", params,
    _s: (xhr) ->          
      if xhr.status == 200
        alert "Signed up!" 
        wd.ui.signupWin.close()      
        wd.users.showMain(xhr)
      else
        alert wd.errMsg(xhr)

    _f: (xhr) ->
      alert wd.errMsg(xhr)


# ========================================================================= #
#   PRIVATE METHODS                                                         #
# ========================================================================= #

wd.users.clearUserProperties = ->
  wd.clear("token")
  wd.clear("userID")

wd.users.showMain = (xhr) ->
  wd.setstr("token", JSON.parse(xhr.responseText).token)
  wd.setint("userID", +JSON.parse(xhr.responseText).user_id)
  wd.ui.showMain()
  wd.net.retry()
  