wd.ui = {}

# ========================================================================= #
#   INCLUDES                                                                #
# ========================================================================= #

Ti.include(
  "/js/views/menu.js"
  "/js/views/appWindow.js"
  "/js/views/home.js"
  "/js/views/login.js"
  "/js/views/signup.js"  
  "/js/views/talesIndex.js"
  "/js/views/addTale.js"  
  "/js/views/taleShow.js"  
  "/js/views/photosIndex.js"  
  "/js/routes.js"
)

# ========================================================================= #
#   GENERIC UI CONFIG                                                       #
# ========================================================================= #

if wd.iphone
  Titanium.UI.iPhone.statusBarStyle = Titanium.UI.iPhone.StatusBar.TRANSLUCENT_BLACK;


# ========================================================================= #
#   INIT TAB GROUP (iPhone)                                                 #
# ========================================================================= #

wd.ui.createInitTabGroup = ->
  tabGroup = Ti.UI.createTabGroup()  
  
  wd.loginTab = Ti.UI.createTab
    title: "Login"
    window: wd.ui.createLoginWindow()

  tabGroup.addTab wd.loginTab  
  return tabGroup
  
  
# ========================================================================= #
#   INIT                                                                    #
# ========================================================================= #

unless Ti.App.Properties.hasProperty("token")
  wd.ui.initContainer = if wd.iphone then wd.ui.createInitTabGroup() else wd.ui.createLoginWindow()
  wd.ui.initContainer.open()
  
else
  wd.ui.showMain()

