wd.ui.createHomeWindow = ->
  if wd.iphone
    win = Ti.UI.createWindow _.extend wd.s.navBar_i,
      title: wd.homeTale.title or= "Home"
      exitOnClose: true    
    wd.ui.addNavBtnsTo win
      
  else
    win = Ti.UI.createView _.extend wd.s.tab_a,
      title: wd.homeTale.title or= "Home"

  # ========================================================================= #
  #   ELEMENTS                                                                #
  # ========================================================================= #

  wd.ui.buildTaleShow = (page, tale) ->
    scrollView = wd.build.scrollView()

    path = Ti.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "html"
    f = Ti.Filesystem.getFile(path, 'tale.html')

    wd.ui["#{page}WebView"] = wd.build.webView
      url: f.nativePath
      scrollable: false
    f = null
  
    wd.ui["#{page}WebView"].addEventListener "load", (e) ->
      if tale
        photos = tale.photos()
        wd.info "Tale page loaded with #{_.size photos} photos"
        @evalJS "wd.taleLoadPhotos(#{JSON.stringify(photos)})"
  
    scrollView.add wd.ui["#{page}WebView"]
    return scrollView
  
  win.add wd.ui.buildTaleShow("home", wd.homeTale)

  return win
