wd.ui.createLoginWindow = ->
  win = Ti.UI.createWindow
    title: "Login"
    backgroundColor: "#fff"
    tabBarHidden: true
    navBarHidden: false
    exitOnClose: true    
    activity:
      onCreateOptionsMenu: (e) ->
        signupMenu = e.menu.add
          title : "Sign Up"    
        signupMenu.addEventListener "click", (e) ->
          wd.ui.signupWin = wd.ui.createSignupWindow()
          wd.ui.signupWin.open()


  # ========================================================================= #
  #   LOGIN FORM                                                              #
  # ========================================================================= #

  username = wd.build.textField
    hintText: "Username"

  password = wd.build.textField
    top: 60
    hintText: "Password"
    passwordMask: true      

  loginBtn = wd.build.button
    title: "Login"
    top: 110

  loginBtn.addEventListener "click", (e) ->
    if username.value == "" || password.value == ""
      alert "Please enter your username and password"
    else          
      wd.users.login(username.value.toLowerCase(), password.value)


  # ========================================================================= #
  #   SUBMIT BUTTON                                                           #
  # ========================================================================= #

  if wd.iphone
    signupBtn = wd.build.navBtn
      title: "Sign Up"

    signupBtn.addEventListener "click", (e) ->
      wd.ui.signupWin = wd.ui.createSignupWindow()
      wd.loginTab.open wd.ui.signupWin


  # ========================================================================= #
  #   ADD                                                                     #
  # ========================================================================= #
    
  win.add username
  win.add password
  win.add loginBtn
  win.setRightNavButton signupBtn if wd.iphone

  return win
