wd.ui.createTalesIndexWindow = ->
  if wd.iphone
    win = Ti.UI.createWindow _.extend wd.s.navBar_i,
      title: "Tales"
    wd.ui.addNavBtnsTo win   
  else
    win = Ti.UI.createView _.extend wd.s.tab_a,
      title: "Tales"

  # ========================================================================= #
  #   TABLE VIEW                                                              #
  # ========================================================================= #

  wd.ui.talesTable = Ti.UI.createTableView()

  wd.ui.talesTable.refresh = ->
    wd.info "Refreshing tales"          
    @setData wd.tales.tales()

  wd.ui.talesTable.refresh()

  wd.ui.talesTable.addEventListener "click", (e) ->
    wd.tales.show wd.Tale.find(e.rowData.id)


  # ========================================================================= #
  #   NEW TALE BUTTON                                                         #
  # ========================================================================= #

  wd.ui.newTaleBtn = Ti.UI.createButton _.extend wd.s.newBtn
  wd.ui.newTaleBtn.addEventListener "click", (e) ->
    wd.tales.new()
      

  # ========================================================================= #
  #   ADD                                                                     #
  # ========================================================================= #

  win.add wd.ui.talesTable
  if wd.iphone
    win.setRightNavButton wd.ui.newTaleBtn
  else
    wd.ui.navBar.add wd.ui.newTaleBtn

  return win
