(function() {
  var photo_template;

  photo_template = Handlebars.compile($("#photo-template}").html());

  wd.taleLoadPhotos = function(photos_arr) {
    var photos;
    photos = {
      photos: _.map(photos_arr, function(photo) {
        return {
          path: "../" + photo.filename
        };
      })
    };
    return $("#photos").html(photo_template(photos));
  };

  wd.addNewPhoto = function(filename) {
    var photo;
    photo = {
      photos: {
        path: "../" + filename
      }
    };
    return $("#photos").prepend(photo_template(photo));
  };

}).call(this);
