(function() {
  var x;

  wd.build = {};

  x = Ti.UI.createTextField();

  x = Ti.UI.createButton();

  x = Ti.UI.createScrollView();

  x = Ti.UI.createLabel();

  x = Ti.UI.createWebView();

  wd.build.textField = function(properties) {
    var defaults;
    defaults = {
      color: "#369",
      top: 10,
      left: 10,
      width: 300,
      height: 40,
      keyboardType: Ti.UI.KEYBOARD_DEFAULT,
      returnKeyType: Ti.UI.RETURNKEY_DEFAULT,
      borderStyle: Ti.UI.INPUT_BORDERSTYLE_ROUNDED
    };
    return Ti.UI.createTextField(_.extend(defaults, properties));
  };

  wd.build.button = function(properties) {
    var defaults;
    defaults = {
      width: 90,
      height: 35,
      borderRadius: 1,
      font: {
        fontFamily: "Helvetica, Arial",
        fontWeight: "bold",
        fontsize: 14
      }
    };
    return Ti.UI.createButton(_.extend(defaults, properties));
  };

  wd.build.navBtn = function(properties) {
    var defaults;
    defaults = {
      style: Ti.UI.iPhone.SystemButtonStyle.PLAIN
    };
    return Ti.UI.createButton(_.extend(defaults, properties));
  };

  wd.build.scrollView = function(properties) {
    var defaults;
    defaults = {
      contentWidth: "auto",
      contentHeight: "auto",
      showVerticalScrollIndicator: true,
      showHorizontalScrollIndicator: false
    };
    return Ti.UI.createScrollView(_.extend(defaults, properties));
  };

  wd.build.label = function(properties) {
    var defaults;
    defaults = {
      font: {
        fontFamily: "Helvetica, Arial",
        fontsize: 18
      },
      height: "auto"
    };
    return Ti.UI.createLabel(_.extend(defaults, properties));
  };

  wd.build.webView = function(properties) {
    var defaults;
    defaults = {
      top: 0,
      touchEnabled: false,
      width: "auto",
      height: "auto",
      layout: "vertical"
    };
    return Ti.UI.createWebView(_.extend(defaults, properties));
  };

}).call(this);
