(function() {
  var Home,
    __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };

  Home = (function() {

    function Home() {
      this.index = __bind(this.index, this);
    }

    Home.prototype.index = function() {
      this.loadHome();
      if (wd.iphone) {
        wd.ui.homeTab.window.title = wd.homeTale ? wd.homeTale.title : "Home";
      } else {
        wd.ui.tabs.home.title = wd.homeTale ? wd.homeTale.title : "Home";
      }
      wd.ui.showTab("home");
      wd.photos.push();
      if (wd.homeTale) return wd.photos.pull(wd.homeTale);
    };

    Home.prototype.loadHome = function() {
      if (!(wd.homeTale = wd.Tale.find(wd.getint("currentTale")))) {
        return wd.debug("No current tale");
      }
    };

    return Home;

  })();

  wd.home = new Home;

}).call(this);
