(function() {
  var __hasProp = Object.prototype.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor; child.__super__ = parent.prototype; return child; };

  wd.Tale = (function(_super) {

    __extends(Tale, _super);

    function Tale() {
      Tale.__super__.constructor.apply(this, arguments);
    }

    Tale.configure("Tale");

    Tale.attr_accessible("remote_id", "title", "synced", "last_pull", "created_at", "updated_at");

    Tale.prototype.validate = function() {
      if (!this.title) {
        return "Please fill in a title";
      } else if (this.title.length < 3) {
        return "Please enter a longer title (> 3 characters)";
      } else if (this.title.length > 30) {
        return "Title length too long (< 30 characters)";
      }
    };

    Tale.prototype.photos = function() {
      var rows;
      rows = wd.db.get("SELECT * FROM photos WHERE tale_id = ? OR remote_tale_id = ? ORDER BY updated_at DESC", [this.id, this.remote_id]);
      return wd.Steel.objectify_many(rows, wd.Photo);
    };

    return Tale;

  })(wd.Steel.Model);

}).call(this);
