(function() {

  wd.theme = {
    font: wd.os({
      iphone: "Helvetica Neue",
      android: "OpenSans"
    }),
    fontBold: wd.os({
      iphone: "Helvetica Neue",
      android: "OpenSansBold"
    })
  };

  wd.s = {
    tab_a: {
      backgroundColor: "#fff",
      zIndex: 3,
      top: 40
    },
    navBar_i: {
      barImage: "/img/navbar.png",
      tabBarHidden: true,
      navBarHidden: false,
      backgroundColor: "#fff"
    },
    navBar_a: {
      backgroundImage: "/img/navbar.png",
      width: 320,
      height: 44,
      top: 0,
      left: 0,
      zIndex: 4
    },
    navTitle_a: {
      font: {
        fontFamily: wd.theme.fontBold,
        fontSize: 20
      },
      color: "#fff",
      shadowColor: "#000",
      shadowOffset: {
        x: 3,
        y: 3
      }
    },
    menuBtn: {
      backgroundImage: "/img/menubtn.png",
      backgroundSelectedImage: "/img/menubtn-active.png",
      width: 35,
      height: 29,
      color: "#000",
      top: 8,
      left: 5
    },
    addBtn: {
      backgroundImage: "/img/addbtn.png",
      backgroundSelectedImage: "/img/addbtn-active.png",
      width: 35,
      height: 29,
      color: "#000",
      top: 8,
      left: 280
    },
    newBtn: {
      backgroundImage: "/img/addbtn.png",
      backgroundSelectedImage: "/img/addbtn-active.png",
      title: "New",
      width: 35,
      height: 29,
      color: "#000",
      top: 8,
      left: 280
    }
  };

}).call(this);
