(function() {

  wd.ui.createHomeWindow = function() {
    var win, _base, _base2;
    if (wd.iphone) {
      win = Ti.UI.createWindow(_.extend(wd.s.navBar_i, {
        title: (_base = wd.homeTale).title || (_base.title = "Home"),
        exitOnClose: true
      }));
      wd.ui.addNavBtnsTo(win);
    } else {
      win = Ti.UI.createView(_.extend(wd.s.tab_a, {
        title: (_base2 = wd.homeTale).title || (_base2.title = "Home")
      }));
    }
    wd.ui.buildTaleShow = function(page, tale) {
      var f, path, scrollView;
      scrollView = wd.build.scrollView();
      path = Ti.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "html";
      f = Ti.Filesystem.getFile(path, 'tale.html');
      wd.ui["" + page + "WebView"] = wd.build.webView({
        url: f.nativePath,
        scrollable: false
      });
      f = null;
      wd.ui["" + page + "WebView"].addEventListener("load", function(e) {
        var photos;
        if (tale) {
          photos = tale.photos();
          wd.info("Tale page loaded with " + (_.size(photos)) + " photos");
          return this.evalJS("wd.taleLoadPhotos(" + (JSON.stringify(photos)) + ")");
        }
      });
      scrollView.add(wd.ui["" + page + "WebView"]);
      return scrollView;
    };
    win.add(wd.ui.buildTaleShow("home", wd.homeTale));
    return win;
  };

}).call(this);
