wd.ui.createSignupWindow = -> 
  win = Ti.UI.createWindow
    title: "Sign Up"
    backgroundColor: "#fff"
    modal: wd.os
      android: true
      

  # ========================================================================= #
  #   SIGN UP FORM                                                            #
  # ========================================================================= #

  scrollView = wd.build.scrollView {}

  username = wd.build.textField
  	hintText: "Username"

  email = wd.build.textField
  	top: 60
  	hintText: "Email"

  password = wd.build.textField
  	top: 110,
  	hintText: "Password"
  	passwordMask: true

  password_confirmation = wd.build.textField
  	top: 160
  	hintText: "Password Again"
  	passwordMask: true


  # ========================================================================= #
  #   SUBMIT BUTTON                                                           #
  # ========================================================================= #

  signupBtn = wd.build.button
  	title: "Sign Up"
  	top: 210

  signupBtn.addEventListener "click", (e) ->
    if username.value == "" || password.value == "" || password_confirmation.value == "" || email.value == ""
      alert "Please fill in all fields"
    else
      if password.value != password_confirmation.value
        alert "Your passwords do not match"
      else
        filter = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/
        unless filter.test(email.value)
          alert "Please enter a valid email address"
        else
          wd.users.signup(username.value.toLowerCase(), password.value, email.value)

            
  # ========================================================================= #
  #   ADD                                                                     #
  # ========================================================================= #

  scrollView.add username
  scrollView.add password
  scrollView.add password_confirmation
  scrollView.add email
  scrollView.add signupBtn
  
  win.add scrollView
  
  return win
