(function() {

  wd.ui.createAddTaleWindow = function() {
    var createBtn, title, win;
    if (wd.iphone) {
      win = Ti.UI.createWindow(_.extend(wd.s.navBar_i, {
        title: "New Tale"
      }));
    } else {
      win = Ti.UI.createView(_.extend(wd.s.tab_a, {
        title: "New Tale"
      }));
    }
    title = wd.build.textField({
      hintText: "Title"
    });
    createBtn = wd.build.button({
      title: "Create Tale",
      top: 60
    });
    createBtn.addEventListener("click", function(e) {
      return wd.tales.create({
        title: title.value
      });
    });
    win.add(title);
    win.add(createBtn);
    return win;
  };

}).call(this);
