(function() {

  wd.ui.createTalesIndexWindow = function() {
    var win;
    if (wd.iphone) {
      win = Ti.UI.createWindow(_.extend(wd.s.navBar_i, {
        title: "Tales"
      }));
      wd.ui.addNavBtnsTo(win);
    } else {
      win = Ti.UI.createView(_.extend(wd.s.tab_a, {
        title: "Tales"
      }));
    }
    wd.ui.talesTable = Ti.UI.createTableView();
    wd.ui.talesTable.refresh = function() {
      wd.info("Refreshing tales");
      return this.setData(wd.tales.tales());
    };
    wd.ui.talesTable.refresh();
    wd.ui.talesTable.addEventListener("click", function(e) {
      return wd.tales.show(wd.Tale.find(e.rowData.id));
    });
    wd.ui.newTaleBtn = Ti.UI.createButton(_.extend(wd.s.newBtn));
    wd.ui.newTaleBtn.addEventListener("click", function(e) {
      return wd.tales["new"]();
    });
    win.add(wd.ui.talesTable);
    if (wd.iphone) {
      win.setRightNavButton(wd.ui.newTaleBtn);
    } else {
      wd.ui.navBar.add(wd.ui.newTaleBtn);
    }
    return win;
  };

}).call(this);
